RedCrawler API
Scrape V1

Comment Detail by ID V1

Get detailed info for a single comment. Accepts full URL, t1_ prefixed ID, or raw comment ID. SFW only — use V2 for NSFW.

GET /api/v1/replies/detail

Get detailed info for a single comment. Accepts full URL, t1_ prefixed ID, or raw comment ID. SFW only — use V2 for NSFW.

Query parameters

NameTypeRequiredDescription
comment_urlstringYesComment URL or ID (e.g. https://www.reddit.com/r/sub/comments/abc/title/xyz/ or t1_xyz or xyz)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/replies/detail?comment_url=g4koiv1" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/replies/detail?comment_url=g4koiv1", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/replies/detail?comment_url=g4koiv1"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "subreddit_id": "t5_examples",
    "author_is_blocked": false,
    "comment_type": null,
    "edited": false,
    "ups": 0,
    "author_flair_type": "text",
    "total_awards_received": 0,
    "subreddit": "modnews",
    "likes": null,
    "saved": false,
    "id": "g4koiv1",
    "gilded": 0,
    "archived": true,
    "author": "Motor_Tip8865",
    "send_replies": true,
    "parent_id": "t1_examplec1",
    "score": 0,
    "author_fullname": "t2_exampleu",
    "all_awardings": [],
    "body": "The discussions are just posts, so they\u2019ll appear in any community where a user submits it (as long as the mods and rules of that community allow for it). The ads themselves will link to these discussion posts instead of having direct comments specifically to address the challenge of either a campaign or Reddit itself moderating political discussions and as a way to encourage discussions within th\u2026",
    "downs": 0,
    "author_flair_css_class": null,
    "collapsed": false,
    "author_flair_richtext": [],
    "is_submitter": true,
    "body_html": "<div class=\"md\"><p>The discussions are just posts, so they\u2019ll appear in any community where a user submits it (as long as the mods and rules of that community allow for it). The ads themselves will link to these discussion posts instead of having direct comments specifically to address the challenge of either a campaign or Reddit itself moderating political discussions and as a way to encourage di\u2026",
    "gildings": {},
    "collapsed_reason": null,
    "stickied": false,
    "author_premium": true,
    "link_id": "t3_1sys4r2",
    "unrepliable_reason": null,
    "author_flair_text_color": null,
    "score_hidden": false,
    "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
    "subreddit_type": "restricted",
    "locked": false,
    "name": "t1_examplec1",
    "created": 1599678116.0,
    "author_flair_text": null,
    "created_utc": 1599678116.0,
    "subreddit_name_prefixed": "r/modnews",
    "controversiality": 1,
    "author_flair_background_color": null,
    "collapsed_because_crowd_control": null,
    "distinguished": "admin"
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:49.330123+00:00"
}

On this page